#include<stdio.h>
#include<iostream>
#include<string.h>
#include<math.h>
int main()
{
	int a1,a2,i=0,j=1;
	char c1,c2,st[50000];
	scanf("%c%c",&c1,&c2);
	scanf("%d%d",&a1,&a2);
	if(abs(a1-a2)<2&&c1!=c2)
    {
    	if(a1>=a2)
    	{
        for(i=0,j=i+1;i<a1+a2;i+=2,j+=2)
       	{
            printf("%c",c1);
            if(j<a1+a2)
            printf("%c",c2);    
    	}
    	}
    	else
    	{
        for(i=0,j=i+1;i<a1+a2;i+=2,j+=2)
        {
            printf("%c",c2);
            if(j<a1+a2)
            printf("%c",c1);    
        }
    	}	
    }
    else
    printf("nemoguce");
    return 0;
}